Subject: Re: Looking for architecture papers

From: Segher Boessenkool <[email-masked]>
Date: Sat, 6 Oct 2018 07:27:50 -0500

On Sat, Oct 06, 2018 at 12:19:45PM +0300, Raz wrote:
> Hey
> How does HVSC works ?
> I looked in the code and LoPAR documentation. It looks like there is
> vector called
> system_call_pSeries ( at 0xc00 ) that is supposed to be called when we
> invoke HVSC from kernel
> mode.
> Now, I wrote a NULL call HSVC and patched the exceptions-64s.S to
> return RFID immediately.
> This does not work.
> Would you be so kind to explain how HVSC works ?
> thank you

If your kernel is not running in hypervisor mode, sc 1 does not call the
kernel (but the hypervisor, instead).  If your kernel _is_ running in
hypervisor mode, sc 1 does the same as sc 0, a normal system call.

I don't know which it is for you; you didn't say.

I have no idea what "a NULL call HSVC" means.  If you make exception c00
return immediately (as you suggest) then you have made all system calls
non-functional, which indeed is unlikely to work as you want.

Segher